--- scipy_core/scipy_base/fastumathmodule.c.orig	2005-07-29 23:58:19.000000000 -0700
+++ scipy_core/scipy_base/fastumathmodule.c	2005-07-29 23:59:52.000000000 -0700
@@ -29,12 +29,12 @@
 
 
 #if !defined(HAVE_INVERSE_HYPERBOLIC)
-static double acosh(double x)
+extern double acosh(double x)
 {
     return log(x + sqrt((x-1.0)*(x+1.0)));
 }
 
-static double asinh(double xx)
+extern double asinh(double xx)
 {
     double x;
     int sign;
@@ -49,7 +49,7 @@
     return sign*log(x + sqrt(x*x+1.0));
 }
 
-static double atanh(double x)
+extern double atanh(double x)
 {
     return 0.5*log((1.0+x)/(1.0-x));
 }
